> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# CONTROLLER.DEXSCR.GET_TOKEN_INFO.SUMMARY

> 指定したトークンの DexScreener 広告・ブースト・リンク更新情報を取得します



## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/dexscr/{chain}/token/{tokenAddress}
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/dexscr/{chain}/token/{tokenAddress}:
    get:
      tags:
        - DexScreener
      summary: DexScreener - トークン情報
      description: 指定したトークンの DexScreener 広告・ブースト・リンク更新情報を取得します
      operationId: get.dexscr.token-info
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: トークンのアドレス
          required: true
          schema:
            type: string
          example: WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM
      responses:
        '200':
          description: 成功レスポンス
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DexscrTokenInfo'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrTokenInfo:
      type: object
      description: Per-token aggregated DexScreener information.
      required:
        - chain
        - tokenAddress
      properties:
        ad:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/DexscrAd'
              description: このトークンの DexScreener 広告データ（存在する場合）
        boost:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/DexscrBoost'
              description: このトークンの DexScreener ブーストデータ（存在する場合）
        chain:
          type: string
          description: ブロックチェーンネットワーク識別子
          example: sol
        linkUpdate:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/DexscrLinkUpdate'
              description: このトークンの DexScreener リンク更新データ（存在する場合）
        tokenAddress:
          type: string
          description: トークンコントラクトアドレス
          example: WCoRVxGcpiwE6EvtDjXHJq6Kcn4nWT9Ubt1PrJHNAzM
    DexscrAd:
      type: object
      required:
        - chain
        - tokenAddress
      properties:
        adType:
          type:
            - string
            - 'null'
          description: '広告タイプ（例: banner）'
        chain:
          type: string
          description: ブロックチェーンネットワーク識別子
          example: sol
        date:
          type:
            - string
            - 'null'
          description: 広告開始日
        durationHours:
          type:
            - integer
            - 'null'
          format: int64
          description: 広告期間（時間）
        impressions:
          type:
            - integer
            - 'null'
          format: int64
          description: 広告の総インプレッション数
        tokenAddress:
          type: string
          description: トークンコントラクトアドレス
          example: So11111111111111111111111111111111111111112
        url:
          type:
            - string
            - 'null'
          description: DexScreener トークンページ URL
    DexscrBoost:
      type: object
      required:
        - chain
        - tokenAddress
        - totalAmount
      properties:
        amount:
          type:
            - number
            - 'null'
          format: double
          description: 現在のブースト数量
        chain:
          type: string
          description: ブロックチェーンネットワーク識別子
          example: sol
        description:
          type:
            - string
            - 'null'
          description: トークンの説明
        header:
          type:
            - string
            - 'null'
          description: トークンヘッダー画像 URL
        icon:
          type:
            - string
            - 'null'
          description: トークンアイコン URL
        links:
          description: トークンのソーシャルリンク（JSON 形式）
        openGraph:
          type:
            - string
            - 'null'
          description: トークン Open Graph 画像 URL
        tokenAddress:
          type: string
          description: トークンコントラクトアドレス
          example: So11111111111111111111111111111111111111112
        totalAmount:
          type: number
          format: double
          description: 累計ブースト支出数量
          example: 500
        url:
          type:
            - string
            - 'null'
          description: DexScreener トークンページ URL
    DexscrLinkUpdate:
      type: object
      required:
        - chain
        - tokenAddress
      properties:
        chain:
          type: string
          description: ブロックチェーンネットワーク識別子
          example: sol
        description:
          type:
            - string
            - 'null'
          description: トークンの説明
        header:
          type:
            - string
            - 'null'
          description: トークンヘッダー画像 URL
        icon:
          type:
            - string
            - 'null'
          description: トークンアイコン URL
        links:
          description: トークンのソーシャルリンク（JSON 形式）
        openGraph:
          type:
            - string
            - 'null'
          description: トークン Open Graph 画像 URL
        tokenAddress:
          type: string
          description: トークンコントラクトアドレス
          example: So11111111111111111111111111111111111111112
        url:
          type:
            - string
            - 'null'
          description: DexScreener トークンページ URL
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````